BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/media-views/{timelineItemId}

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string
timelineItemId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/media-views/string" \  -H "Content-Type: application/json" \  -d '{    "source_asset_id": "string",    "source_start_units": 0,    "source_end_units": 0,    "source_crop_x": 0,    "source_crop_y": 0,    "source_crop_width": 0,    "source_crop_height": 0,    "canvas_x": 0,    "canvas_y": 0,    "canvas_width": 0,    "canvas_height": 0,    "fit_mode": "contain",    "mask_shape": "none",    "mask_radius": 0,    "sync_group_id": "string",    "planner_mode": "manual",    "planner_metadata": {      "templateKey": "string",      "notes": [        "string"      ],      "analysisStatus": "missing",      "analysisVersion": 0,      "confidence": 0,      "fallbackReason": "string",      "dominantSpeakerSide": "left",      "speakerCount": 0    }  }'
{  "success": true,  "txid": 0,  "media_view": {    "timeline_item_id": "string",    "source_asset_id": "string",    "source_start_units": 0,    "source_end_units": 0,    "source_crop_x": 0,    "source_crop_y": 0,    "source_crop_width": 0,    "source_crop_height": 0,    "canvas_x": 0,    "canvas_y": 0,    "canvas_width": 0,    "canvas_height": 0,    "fit_mode": "contain",    "mask_shape": "none",    "mask_radius": 0,    "sync_group_id": "string",    "planner_mode": "manual",    "planner_metadata": {      "templateKey": "string",      "notes": [        "string"      ],      "analysisStatus": "missing",      "analysisVersion": 0,      "confidence": 0,      "fallbackReason": "string",      "repairApplied": false,      "dominantSpeakerSide": "left",      "speakerCount": 0,      "stylePolicy": null,      "decisionTrace": null    }  }}